summaryrefslogtreecommitdiffstats
path: root/bin/check_project_backups
diff options
context:
space:
mode:
Diffstat (limited to 'bin/check_project_backups')
-rwxr-xr-xbin/check_project_backups28
1 files changed, 28 insertions, 0 deletions
diff --git a/bin/check_project_backups b/bin/check_project_backups
new file mode 100755
index 0000000..928a1ed
--- /dev/null
+++ b/bin/check_project_backups
@@ -0,0 +1,28 @@
+#!/bin/bash
+
+dbquery() {
+ mysql -s -s -e "$*" trac
+}
+
+# main function
+main() {
+ find /var/www/localhost/htdocs/backup/ -mindepth 1 -maxdepth 1 -ctime 7 | xargs rm -rf
+}
+
+# go to script dir
+pushd $(dirname $0) > /dev/null
+
+# get global functions
+source "./functions.sh"
+
+# load configuration
+source "./config.sh"
+
+# exit on errors
+set -e
+
+# start main program
+main "$@"
+
+# leave script dir
+popd > /dev/null